﻿<%@ Page language="c#" %>
<%@ Import namespace="EPiServer" %>
<%@ Import namespace="EPiServer.Core" %>
<%@ Import namespace="EPiServer.Configuration" %>
<%@ Import namespace="EPiServer.Web" %>
<%@ Import namespace="EPiServer.Web.Hosting" %>
<%@ Import namespace="EPiServer.Web.Routing" %>
<%@ Import namespace="EPiServer.Framework.Localization" %>
<%@ Import namespace="EPiServer.Globalization" %>
<%@ Import namespace="EPiServer.ServiceLocation" %>
<%
Response.ContentType = "text/html; charset=utf-8";
Response.Cache.SetExpires(System.DateTime.Now.AddYears(-2));
Response.Cache.SetCacheability(HttpCacheability.NoCache);
%><!doctype html>
<html lang="sv">
<head>
<title>Infoga video från Mediaflow</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<%
    string s, sRandom, sURL, sName, sUserName, sMFPKey, sMFPServerID, sSite, sIVData, epsLanguage, sdijitID, sPageName="", sFilename= "", selectedID = "";
    Random rand = new Random();
    int i, pageId, AllowEmbed;
    bool hasMFPKey, hasMFPServerID, updateExistingImage, useLocalScripts;

    hasMFPKey = true;
    hasMFPServerID = true;
    StringBuilder sb = new StringBuilder();
    for(i=0; i<10; i++)
        sb.Append(Convert.ToChar(rand.Next(65,85)));
    sRandom = sb.ToString();

    sURL = "http://";
    sUserName = "admin";
    sMFPKey = "";
    sMFPServerID = "";
    sSite = "EPiSite";
    sIVData = "";
    sdijitID = "";

    if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPKey"]!=null)
        sMFPKey = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPKey"].Trim().Replace("\"", "").Replace("'", "").Replace("\\", "");
    if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPServerID"]!=null)
        sMFPServerID = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPServerID"].Trim().Replace("\"", "").Replace("'", "").Replace("\\", "");
	s = "";
    if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPEmbedType"]!=null)
        s = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPEmbedType"].Trim().ToLower();
	AllowEmbed = 3;
	if(s == "javascript")
	  AllowEmbed = 1;
	if(s == "iframe")
	  AllowEmbed = 2;

	useLocalScripts = false;
	s = "";
    if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPUseLocalScripts"]!=null)
        s = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPUseLocalScripts"].Trim().ToLower();
	if(s == "yes" || s == "true" || s == "1")
		useLocalScripts = true;
	  
    if(sMFPKey.Length<10 || sMFPServerID.Length<1)
        hasMFPKey = false;

    pageId = 0;
    epsLanguage = "";

    sName = EPiServer.Personalization.EPiServerProfile.Current.UserName;
    sUserName = HttpContext.Current.User.Identity.Name;
    if(EPiServer.Web.SiteDefinition.Current!=null)
        sSite = EPiServer.Web.SiteDefinition.Current.Name;

	string mediaID = "";
    s = Request.QueryString["mid"];
    if(s!=null)
        mediaID = s.Trim();
    s = Request.QueryString["id"];
    if(s!=null)
        sdijitID = s.Trim();
    string autoplay = "false";
    s = Request.QueryString["ap"];
    if(s!=null && s=="1")
        autoplay = "true";
    string embedType = "javascript";
    s = Request.QueryString["et"];
    if(s!=null && s=="1")
        embedType = "iframe";
    string startAt = "0";
    s = Request.QueryString["sa"];
    if(s!=null) {
	  int iTmp = 0;
	  Int32.TryParse(s, out iTmp);
      startAt = iTmp.ToString();
    }
    string selectedFolder = "0";
    s = Request.QueryString["sf"];
    if(s!=null) {
	  int iTmp = 0;
	  Int32.TryParse(s, out iTmp);
      selectedFolder = iTmp.ToString();
    }
    s = Request.QueryString["si"];
    if(s!=null) {
	  int iTmp = 0;
	  Int32.TryParse(s, out iTmp);
      selectedID = iTmp.ToString();
    }

	if(useLocalScripts) {
      Response.Write("<script src=\"fileselector.min.js\"></script>\n");
      Response.Write("<link rel=\"stylesheet\" href=\"fileselector.css\">\n");
    } else {
      Response.Write("<script src=\"https://mfstatic.com/fileselector/fileselector.min.js\"></script>\n");
      Response.Write("<link rel=\"stylesheet\" href=\"https://mfstatic.com/fileselector/fileselector.css\">\n");
	}
    Response.Write("</head>\n");
    Response.Write("<body>\n");
	
    if(sMFPKey.Length<5) {
	  Response.Write("<div style=\"position:absolute;left:0;top:0;right:0;bottom:0;overflow:hidden;color:#fff;\"><div style=\"padding:20px;\"><div style=\"font-size:20px;padding-bottom:7px;\">Inställningar saknas i web.config</div>Fältet MFPKey måste först anges som inställning i filen web.config på webbservern:<br>\n");
	  Response.Write("<code>&lt;configuration&gt;<br>\n");
	  Response.Write("&nbsp;&nbsp;&lt;appSettings&gt;<br>\n");
	  Response.Write("&nbsp;&nbsp;&nbsp;&nbsp;&lt;add key=&quot;MFPKey&quot; value=&quot;<i>Nyckel från Mediaflow</i>&quot; /&gt;<br>\n");
	  Response.Write("&nbsp;&nbsp;&lt;/appSettings&gt;<br>\n");
	  Response.Write("&lt;/configuration&gt;</code></div></div>\n");
	} else {
		Response.Write("<div style=\"position:absolute;left:0;top:0;right:0;bottom:0;overflow:hidden;\" id=\"mf_" + sRandom + "\"></div>\n");
		Response.Write("<script type=\"text/javascript\">\n");
		Response.Write("var selFolder = " + selectedFolder + ", myFileSelector = new FileSelector('mf_" + sRandom + "',{\n");
		Response.Write("auth:'token',\n");
		Response.Write("client_id:'251a7c2b',\n");
		Response.Write("client_secret:'MUVih0Y0ZsKJWaxO8K0abvp1GJfd2v',\n");
		Response.Write("refresh_token:'" + sMFPKey.Replace("'", "").Replace("\\", "") + "',\n");
		Response.Write("showDoneButton: true,\n");
		Response.Write("limitFileType: 'mp4,mov,mpg,ts,avi',\n");
		Response.Write("viewLayout: 'thumbnails',\n");
		Response.Write("allowCrop: true,\n");
		if(AllowEmbed==1)
  		  Response.Write("allowIframeVideo: false,\n");
		if(AllowEmbed==2)
  		  Response.Write("allowJSVideo: false,\n");
		if(mediaID.Length>0)
		  Response.Write("selectedFile: {id:" + selectedID + ",autoPlay:" + autoplay + ",mediaId:'" + mediaID.Replace("'", "").Replace("\\", "") + "',startTime:" + startAt + ",embedMethod:'" + embedType + "',basetype:'video'},\n");
		Response.Write("noCropButton:false,\n");
		Response.Write("selectedFolder: " + selectedFolder + ",\n");
		Response.Write("events: function(eventName, eventData) {\n");
		Response.Write("  if(eventName==='folderClick') selFolder = eventData.id;\n");
		Response.Write("  if(eventName==='search') selFolder = 0;\n");
		Response.Write("},\n");
		Response.Write("success: function(o) {\n");
		Response.Write("  o.selectedFolder = selFolder;\n");
		Response.Write("  window.parent.dijit.byId('" + sdijitID.Replace("'", "").Replace("\\", "") + "')._clickDone(o);\n");
		Response.Write("}\n");
		Response.Write("});\n");
		Response.Write("</script>\n");
    }
%>
</body>
</html>