﻿<%@ Page language="c#" %>
<%@ Import namespace="EPiServer" %>
<%@ Import namespace="EPiServer.Core" %>
<%@ Import namespace="EPiServer.Configuration" %>
<%@ Import namespace="EPiServer.Web" %>
<%@ Import namespace="EPiServer.Web.Hosting" %>
<%@ Import namespace="EPiServer.Web.Routing" %>
<%@ Import namespace="EPiServer.Framework.Localization" %>
<%@ Import namespace="EPiServer.Globalization" %>
<%@ Import namespace="EPiServer.ServiceLocation" %>
<%
Response.ContentType = "text/html; charset=utf-8";
Response.Cache.SetExpires(System.DateTime.Now.AddYears(-2));
Response.Cache.SetCacheability(HttpCacheability.NoCache);
%><!doctype html>
<html lang="sv">
<head>
<title>Infoga video från Mediaflow</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script src="https://mfstatic.com/fileselector/fileselector.min.js"></script>
<link rel="stylesheet" href="https://mfstatic.com/fileselector/fileselector.css">
</head>
<body style="background-color:#000;>
<%
    string s, sRandom, sURL, sName, sUserName, sMFPKey, sMFPServerID, sSite, sIVData, epsLanguage, sdijitID, sPageName="", sFilename= "";
    Random rand = new Random();
    int i, pageId;
    bool hasMFPKey, hasMFPServerID, updateExistingImage;

    hasMFPKey = true;
    hasMFPServerID = true;
    StringBuilder sb = new StringBuilder();
    for(i=0; i<10; i++)
        sb.Append(Convert.ToChar(rand.Next(65,85)));
    sRandom = sb.ToString();

    sURL = "http://";
    sUserName = "admin";
    sMFPKey = "";
    sMFPServerID = "";
    sSite = "EPiSite";
    sIVData = "";
    sdijitID = "";

    if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPKey"]!=null)
        sMFPKey = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPKey"].Trim().Replace("\"", "").Replace("'", "").Replace("\\", "");
    if(System.Web.Configuration.WebConfigurationManager.AppSettings["MFPServerID"]!=null)
        sMFPServerID = System.Web.Configuration.WebConfigurationManager.AppSettings["MFPServerID"].Trim().Replace("\"", "").Replace("'", "").Replace("\\", "");

    if(sMFPKey.Length<10 || sMFPServerID.Length<1)
        hasMFPKey = false;

    pageId = 0;
    epsLanguage = "";

    sName = EPiServer.Personalization.EPiServerProfile.Current.UserName;
    sUserName = HttpContext.Current.User.Identity.Name;
    if(EPiServer.Web.SiteDefinition.Current!=null)
        sSite = EPiServer.Web.SiteDefinition.Current.Name;

    if(sMFPKey.Length<5) {
	  Response.Write("<div style=\"position:absolute;left:0;top:0;right:0;bottom:0;overflow:hidden;color:#fff;\"><div style=\"padding:20px;\"><div style=\"font-size:20px;padding-bottom:7px;\">Inställningar saknas i web.config</div>Fältet MFPKey måste först anges som inställning i filen web.config på webbservern:<br>\n");
	  Response.Write("<code>&lt;configuration&gt;<br>\n");
	  Response.Write("&nbsp;&nbsp;&lt;appSettings&gt;<br>\n");
	  Response.Write("&nbsp;&nbsp;&nbsp;&nbsp;&lt;add key=&quot;MFPKey&quot; value=&quot;<i>Nyckel från Mediaflow</i>&quot; /&gt;<br>\n");
	  Response.Write("&nbsp;&nbsp;&lt;/appSettings&gt;<br>\n");
	  Response.Write("&lt;/configuration&gt;</code></div></div>\n");
	} else {
		Response.Write("<div style=\"position:absolute;left:0;top:0;right:0;bottom:0;overflow:hidden;\" id=\"mf_" + sRandom + "\"></div>\n");
		Response.Write("<script type=\"text/javascript\">\n");
		Response.Write("var myFileSelector = new FileSelector('mf_" + sRandom + "',{\n");
		Response.Write("auth:'token',\n");
		Response.Write("client_id:'251a7c2b',\n");
		Response.Write("client_secret:'MUVih0Y0ZsKJWaxO8K0abvp1GJfd2v',\n");
		Response.Write("refresh_token:'" + sMFPKey.Replace("'", "").Replace("\\", "") + "',\n");
		Response.Write("showDoneButton: true,\n");
		Response.Write("limitFileType: 'mp4,mov,mpg,ts,avi',\n");
		Response.Write("viewLayout: 'thumbnails',\n");
		Response.Write("allowCrop: true,\n");
		//Response.Write("selectedFile: {autoPlay:false,mediaId:'" + mediaID.Replace("'", "").Replace("\\", "") + "',startTime:0,embedMethod:'javascript'},\n");
		Response.Write("//downloadFormat: 'original',\n");
		Response.Write("noCropButton:false,\n");
		Response.Write("allowJSVideo:false,\n");
		Response.Write("//selectedFolder: 30,\n");
		Response.Write("success: function(o) {\n");
		Response.Write("  var activeEditor = parent.tinyMCE.activeEditor;\n");
		Response.Write("  var sInsert = '';\n");
		Response.Write("  if(o.embedMethod === 'iframe') {\n");
		Response.Write("    var sURL = '';\n");
		Response.Write("    if(o.autoPlay === true) sURL += 'autoplay=1&';\n");
		Response.Write("    if(o.startTime > 0) sURL += 'start=' + o.startTime + '&';\n");
		Response.Write("    if(sURL==='')\n");
		Response.Write("      sURL = 'https://play.mediaflowpro.com/ovp/11/' + o.mediaId;\n");
		Response.Write("    else sURL = 'https://play.mediaflowpro.com/ovp/11/' + o.mediaId + '?' + sURL.substring(0, sURL.length-1);\n");
		Response.Write("    sInsert = '<div style=\"position:relative;overflow:hidden;width:100%;padding-top:56.25%;\"><iframe style=\"position:absolute;top:0;left:0;bottom:0;right:0;width:100%;height:100%;\" src=\"' + sURL + '\" frameborder=\"0\" allowfullscreen=\"true\" allow=\"autoplay; encrypted-media; picture-in-picture\"></iframe></div>';\n");
		Response.Write("  } else {\n");
		Response.Write("    sInsert = '<div id=\"mf_" + sRandom + "\"></div>';");
		Response.Write("    sInsert += '<' + 'script type=\"text/javascript\">(function(){var mf_c=document.getElementById(\\'mf_" + sRandom + "\\');';");
		Response.Write("    sInsert += 'if(mf_c){if(!document.querySelector(\\'link[href=\"https://mfstatic.com/css/mediaflowplayer.min.css\"]\\')) { ';");
		Response.Write("    sInsert += 'var mf_css=document.createElement(\\'link\\');mf_css.setAttribute(\\'rel\\',\\'stylesheet\\');mf_css.setAttribute(\\'type\\',\\'text/css\\');mf_css.setAttribute(\\'href\\',\\'https://mfstatic.com/css/mediaflowplayer.min.css\\');document.getElementsByTagName(\\'head\\')[0].appendChild(mf_css);}';\n");
		Response.Write("    sInsert += 'if(typeof(MFPlayer)==\\'undefined\\') { ';\n");
		Response.Write("    sInsert += 'var mf_scr=document.createElement(\\'script\\');mf_scr.setAttribute(\\'crossorigin\\', \\'anonymous\\');document.body.appendChild(mf_scr);';\n");
		Response.Write("    sInsert += 'mf_scr.onload=function(){var mf_p=new MFPlayer(mf_c,\\'' + o.mediaId + '\\');};';\n");
		Response.Write("    sInsert += 'mf_scr.src=\\'https://mfstatic.com/js/mediaflowplayer.min.js\\';}';\n");
		Response.Write("    sInsert += '}})();</' + 'script>';\n");
		Response.Write("  } \n");
//		Response.Write("  activeEditor.execCommand('mceInsertRawHTML', false, 'tjohejsan');\n");
		Response.Write("  activeEditor.execCommand('mceInsertContent', false, sInsert);\n");
//		Response.Write("  activeEditor.selection.setContent(sInsert, {format: 'raw'});\n");
		Response.Write("  activeEditor.windowManager.close();\n");
		Response.Write("}\n");
		Response.Write("});\n");
		Response.Write("</script>\n");
    }
%>
</body>
</html>